/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * END COPYRIGHT BLOCK **/
/* 
 * pathnames.h
 *
 *
 * Intended to be a module for getting/setting/extracting path pieces.
 * Should help avoid some of the "/" nightmare we had with NT; and maybe also
 * make foreign ports much easier.
 *
 * Nomenclature:
 * 	These will vary from system to system; pardon the circular definitions
 *
 *	"pathname" - a fully qualified name with both directory and filename
 *	"directory"- just the directory component (no filename)
 *	"filename" - just the filename component (no directory)
 */


#ifndef _PATHNAMES_H_
#define _PATHNAMES_H_


char *pn_extract_filename(char *full_name);

char *pn_extract_directory(char *full_name);

char *pn_concatenate(char *directory, int dirlen, char *filename, int filelen);

int pn_directory_equal(char *d1, char *d2);

int pn_pathname_equal(char *p1, char *p2);


#endif
